#define STRMAX 300
#define MAX_SZEDIT (10*1024)
#define MAX_VIEWPOINT_BODY 1024
#define MAX_GLOBAL_SZEDIT (20*1024)
#define READ_MAX (20*1024)

#define FIRST_PROCESSING_ID 1000
#define MAX_PROCESSING 500
#define WORLD_DIMENSION 3
#define MAX_SZVIEWPOINTNAME 500
#define N_SIM_EQUATIONS WORLD_DIMENSION

#define DFT_PRECISION 6
#define DFT_VIEW_TILT 0
#define DFT_VIEW_FIELD_OF_VIEW ((double)	PI/4)//0.785398)
#define D_PI ((long double)3.14159265358979323851)
#define PI		((double)3.14159265358979323851)
#define TWO_PI ((double)(2.0*PI))
#define WORLD_RESOLUTION ((FORD)1e-4)

#define CASE_ISSPACE  \
       case '\r':     \
							case '\n':     \
       case ' ' :     \
       case '\v':     \
       case '\t':
#define CASE_ISPUNCT  \
       case ',':      \
       case ';':      \
       case ':':    /*leave out '.' because it can be used as decimal point in doubles*/

//macros
#define FastSetInRange(theta,min,increment)\
			(\
				(double)((min)+(increment)*(((theta)-(min))/(increment)-floor(((theta)-(min))/(increment))))\
			)
#define fcos(theta) ((double)cos(theta))
#define fsin(theta) ((double)sin(theta))
#define FORD double
#define RADIANS 0//for angles_in
#define DEGREES 1
#define WHOLE_TURNS 2
#define SET_ANGLES_MULT\
	switch(angles_in)\
			{\
			case RADIANS:angles_mult=(double)1;break;\
			case DEGREES:angles_mult=(double)(180/PI);break;\
			case WHOLE_TURNS:angles_mult=(double)1/(double)TWO_PI;break;\
			}

#define SZ_ANGLES_IN (angles_in==DEGREES?"degrees":angles_in==WHOLE_TURNS?"turns":"radians")
