#include <windows.h>
#include <math.h>
#include "resource.h"
#include "defines.h"
#include <stdio.h>
#include <stdlib.h>
extern HWND hDlgVRMLViewpoints,hwndMain;
extern char main_window_made;
extern HINSTANCE hInstance;
extern char szAppName[sizeof"VRML Viewpoints"];
extern char global_szEdit[MAX_GLOBAL_SZEDIT];
extern char dlg_szEdit[MAX_SZEDIT];
extern char global_szEdit_ok;
extern double view_tilt;
extern double view_field_of_view;
extern double view_to[WORLD_DIMENSION];
extern double view_from[WORLD_DIMENSION];
extern char szViewpointName[MAX_SZVIEWPOINTNAME];
extern double angles_mult;
extern int precision;
extern char edits_updated;
extern char processing[MAX_PROCESSING];
extern TCHAR szViewPoint[MAX_SZVIEWPOINTNAME+MAX_VIEWPOINT_BODY]; 
extern char angles_in;
extern char szIniFile[sizeof "VRML Viewpoints.ini"];
extern char save_values;
extern WORD idc_mid_update;
extern double up_vector[WORLD_DIMENSION];

extern BOOL CALLBACK AboutDlgProc(HWND hDlg,UINT message,WPARAM wParam,LPARAM lParam);
extern BOOL CALLBACK DlgProc (HWND hwnd, UINT message, WPARAM wParam, LPARAM lParam);
extern void SetDlgEditTextWithCaretToEnd(HWND hDlg,WORD idd,PSTR szEdit);
extern char StartProcessing(WORD id);
extern void	EndProcessing(HWND hwnd,WORD id);
extern char findszEdit(HWND hwnd, WPARAM wParam,char *dlg_szEdit,int max_dlg_szEdit,WORD id,char check_for_all_white_space);
extern void UpdateDialogEdits(char only_do_idd,HWND hwnd,WORD idd);

//ini.c
extern void SetIniDefaults(HWND hwnd);
extern char SaveIniFile(HWND hwnd);
extern char ReadIniFile(void);
extern char ResetEditFromIni(char *szRead,int *piPos,WORD idc,char *sz);
extern BOOL FileWrite (PTSTR pstrFileName,PTSTR pstrBuffer);
extern BOOL FileRead (PTSTR pstrFileName,PSTR szRead,int max_read);

//maths.c
extern char solve_WD_sim_eqs(FORD (*coefficients)[WORLD_DIMENSION+1],FORD *solution,char find_non_zero_sol);
extern char solve_sim_eqs(FORD *coefficients,FORD *solution,int *perm,char *done,int n,char find_non_zero_sol);
extern void MatMult(FORD (*Mat1)[3],FORD (*Mat2)[3],FORD (*Result)[3]);
extern void MakeMatrixForRotation(FORD (*Mat)[3],FORD theta, FORD ax,FORD by,FORD cz);
extern void MakeViewpoint(TCHAR *szViewpoint);

//text.c
extern void SetDlgEditTextWithCaretToEnd(HWND hDlg,WORD idd,PSTR szEdit);
extern long SendMessageForID(HWND hwnd,WORD id,UINT message,WPARAM wParam,LPARAM lParam);
extern int strcatsprintf(UINT *puPos,UINT uMax,PSTR pstr,const TCHAR *format,...);
extern long double NZtanl(long double theta);
extern int next_token_pos_for_white_space(char *sz,int *pireturn);
extern void remove_space_in_brackets(PSTR string);
extern char is_numeral(char *string);
extern void ParseExpression(const char *format,char *string,long double *pLd
		    ,float *pf,int *psh,char *pparsed);
extern void CompactifyFormula(char *szformula,char *szdisplay_formula);
extern long double slong_double(char * string,long double dReturnValueForNULLOrUnParsedString);
extern long double slong_double_if_parsed(char * string,char *pparsed);
extern char substrcmpUpper(const TCHAR * pstr1,const TCHAR * pstr2);
extern char substrcmpUpperToWhiteSpace(const TCHAR * pstr1,const TCHAR * pstr2);
extern int MBsprintEcho(HWND hwnd,char *caption,UINT MB_s,char *format,...);
extern int copy_token_to_return(TCHAR *lptoken,TCHAR *lp,int ipos,int imax_copy);
extern void UnpackReturns(char *sz2,char *sz,DWORD max_length);

//ok.c
extern void	strcatDoubleArray(UINT *puText,int iMAX,char *sz,double *fArray,double multiplier,char first_value_only_if_repeats,int nValues);
extern int	FillDoubleArrayFromString(char *sz,double *fArray,double multiplier,int iMAX,char do_min);
extern char is_white_space_sz(char *sz);
