#include "VRML Viewpoints.h"

LRESULT CALLBACK WndProc(HWND hwnd, UINT message, WPARAM wParam, LPARAM lParam)
{
	static char debug;
	switch (message) 
	{
		case WM_CREATE:
			SetClassLong(hwnd,GCL_HICON,(int)LoadIcon(hInstance,"VRMLVIEWPOINTS"));
			PostMessage(hwnd,WM_COMMAND,IDM_DO_VV,0);
			break;
		case WM_COMMAND:
			switch(wParam)
			{
			case	IDM_DO_VV:
				hDlgVRMLViewpoints=CreateDialog(hInstance,"VRMLVIEWPOINTS",hwnd, DlgProc);
				if(hDlgVRMLViewpoints==0)
				{
					MessageBox (NULL, TEXT ("Unable to create a new window to start the program."),
																	szAppName, MB_ICONERROR) ;	
					PostQuitMessage(0);
					break;
				}
				else
					main_window_made=1;
				break;
			}
			break;
		case WM_CLOSE:
			PostQuitMessage(0);
			break;
		default:;
  }
	return DefWindowProc(hwnd, message, wParam, lParam);
}

int WINAPI WinMain (HINSTANCE hInstanceIs, HINSTANCE hPrevInstance,
                    PSTR szCmdLine, int iCmdShow)
{
	WNDCLASS     wndclass ;
	MSG msg;
	char *szHiddenMainWindow="HiddenMainWindow";
	hInstance=hInstanceIs;
	wndclass.style         = CS_HREDRAW | CS_VREDRAW ;
	wndclass.cbClsExtra    = 0 ;
	wndclass.cbWndExtra    = 0 ;
	wndclass.hInstance     = hInstance ;
	wndclass.hIcon         = NULL ;
	wndclass.hCursor       = LoadCursor (NULL, IDC_ARROW) ;
	wndclass.hbrBackground=GetStockObject(WHITE_BRUSH);
	wndclass.lpszMenuName  = NULL ;
	wndclass.lpfnWndProc  =(WNDPROC)WndProc;
	wndclass.lpszClassName=szHiddenMainWindow;
	RegisterClass(&wndclass);
 hwndMain=CreateWindow(szHiddenMainWindow,szAppName, WS_OVERLAPPEDWINDOW,
      CW_USEDEFAULT, 0, CW_USEDEFAULT, 0, NULL, NULL, hInstance, NULL);
 if (!hwndMain)
		return FALSE;
	while(GetMessage(&msg,NULL,0,0))
	{
		if(hDlgVRMLViewpoints==0&&main_window_made)
			SendMessage(hwndMain,WM_CLOSE,0,0);
		if(IsDialogMessage(hDlgVRMLViewpoints,&msg))
			goto endloop;
		TranslateMessage(&msg);
		DispatchMessage(&msg);
		continue;
		endloop:;
	}
	return 0; 
}
